import { Component, Prop, Vue } from 'vue-property-decorator';
import { Measure, MeasureConfig, MeasureType, Measurement, MeasurementMeta } from '@/models';
import SimpleDetails from './SimpleDetails.vue';

@Component({
  components: { SimpleDetails }
})
export class MeasureDetails extends Vue {
  @Prop() private measure!: Measure<MeasureConfig>;
  @Prop() private measurements!: Array<Measurement<MeasurementMeta>>;
}

export default MeasureDetails;
