### Variables

variable "environment" {
  description = "The short name of this deployed environment. For example: 'dev' or 'prod'. This short name will be used to name resources (CloudFront distributions, etc.)"
}

variable "artifact_bucket" {
  description = "The aws_s3_bucket object representing the artifact bucket where deployed artifacts, logs, etc. live."
}

variable "cloudfront_ssl_certificate_arn" {
  description = "ARN of the managed SSL certificate to use for this environment."
}
